/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.sample.pdf.report.items;

/**
 * PDF 項目群。
 */
public class Yoko01PdfReportItems {
    /**
     * フィールド: [Field00]。
     */
    private String fField00;

    /**
     * フィールド: [Field01]。
     */
    private String fField01;

    /**
     * フィールド: [Field02]。
     */
    private String fField02;

    /**
     * フィールド: [Field03]。
     */
    private String fField03;

    /**
     * フィールド [Field00] の値を設定します。
     *
     * @param argField00 フィールド[Field00]に設定する値。
     */
    public void setField00(final String argField00) {
        fField00 = argField00;
    }

    /**
     * フィールド [Field00] の値を取得します。
     *
     * @return フィールド[Field00]から取得した値。
     */
    public String getField00() {
        return fField00;
    }

    /**
     * フィールド [Field01] の値を設定します。
     *
     * @param argField01 フィールド[Field01]に設定する値。
     */
    public void setField01(final String argField01) {
        fField01 = argField01;
    }

    /**
     * フィールド [Field01] の値を取得します。
     *
     * @return フィールド[Field01]から取得した値。
     */
    public String getField01() {
        return fField01;
    }

    /**
     * フィールド [Field02] の値を設定します。
     *
     * @param argField02 フィールド[Field02]に設定する値。
     */
    public void setField02(final String argField02) {
        fField02 = argField02;
    }

    /**
     * フィールド [Field02] の値を取得します。
     *
     * @return フィールド[Field02]から取得した値。
     */
    public String getField02() {
        return fField02;
    }

    /**
     * フィールド [Field03] の値を設定します。
     *
     * @param argField03 フィールド[Field03]に設定する値。
     */
    public void setField03(final String argField03) {
        fField03 = argField03;
    }

    /**
     * フィールド [Field03] の値を取得します。
     *
     * @return フィールド[Field03]から取得した値。
     */
    public String getField03() {
        return fField03;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.pdf.report.items.Yoko01PdfReportItems[");
        buf.append("Field00=" + fField00);
        buf.append(",Field01=" + fField01);
        buf.append(",Field02=" + fField02);
        buf.append(",Field03=" + fField03);
        buf.append("]");
        return buf.toString();
    }
}
